diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-spectrum-phy.cc ns-3.44/src/lte/model/lte-spectrum-phy.cc
--- ns-3.43/src/lte/model/lte-spectrum-phy.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-spectrum-phy.cc	2025-03-09 16:55:49.603371900 -0700
@@ -16,14 +16,14 @@
 #include "lte-radio-bearer-tag.h"
 #include "lte-spectrum-signal-parameters.h"
 
-#include <ns3/antenna-model.h>
-#include <ns3/boolean.h>
-#include <ns3/config.h>
-#include <ns3/double.h>
-#include <ns3/log.h>
-#include <ns3/object-factory.h>
-#include <ns3/simulator.h>
-#include <ns3/trace-source-accessor.h>
+#include "ns3/antenna-model.h"
+#include "ns3/boolean.h"
+#include "ns3/config.h"
+#include "ns3/double.h"
+#include "ns3/log.h"
+#include "ns3/object-factory.h"
+#include "ns3/simulator.h"
+#include "ns3/trace-source-accessor.h"
 
 #include <cmath>
 
@@ -59,9 +59,9 @@
 /**
  * Equality operator
  *
- * \param a lhs
- * \param b rhs
- * \returns true if rnti and layer are equal
+ * @param a lhs
+ * @param b rhs
+ * @returns true if rnti and layer are equal
  */
 bool
 operator==(const TbId_t& a, const TbId_t& b)
@@ -72,9 +72,9 @@
 /**
  * Less than operator
  *
- * \param a lhs
- * \param b rhs
- * \returns true if rnti less than ro rnti equal and layer less than
+ * @param a lhs
+ * @param b rhs
+ * @returns true if rnti less than ro rnti equal and layer less than
  */
 bool
 operator<(const TbId_t& a, const TbId_t& b)
@@ -135,9 +135,9 @@
 /**
  * Output stream output operator
  *
- * \param os output stream
- * \param s state
- * \returns output stream
+ * @param os output stream
+ * @param s state
+ * @returns output stream
  */
 std::ostream&
 operator<<(std::ostream& os, LteSpectrumPhy::State s)
@@ -1029,127 +1029,125 @@
             itTb = m_expectedTbs.find(tbId);
             NS_LOG_INFO(this << " Packet of " << tbId.m_rnti << " layer "
                              << (uint16_t)tag.GetLayer());
-            if (itTb != m_expectedTbs.end())
+            if (itTb == m_expectedTbs.end())
             {
-                if (!(*itTb).second.corrupt)
+                continue;
+            }
+
+            if (!(*itTb).second.corrupt)
+            {
+                m_phyRxEndOkTrace(*j);
+
+                if (!m_ltePhyRxDataEndOkCallback.IsNull())
                 {
-                    m_phyRxEndOkTrace(*j);
+                    m_ltePhyRxDataEndOkCallback(*j);
+                }
+            }
+            else
+            {
+                // TB received with errors
+                m_phyRxEndErrorTrace(*j);
+            }
 
-                    if (!m_ltePhyRxDataEndOkCallback.IsNull())
-                    {
-                        m_ltePhyRxDataEndOkCallback(*j);
-                    }
+            // send HARQ feedback (if not already done for this TB)
+            if ((*itTb).second.harqFeedbackSent)
+            {
+                continue;
+            }
+
+            (*itTb).second.harqFeedbackSent = true;
+            if (!(*itTb).second.downlink)
+            {
+                UlInfoListElement_s harqUlInfo;
+                harqUlInfo.m_rnti = tbId.m_rnti;
+                harqUlInfo.m_tpc = 0;
+                if ((*itTb).second.corrupt)
+                {
+                    harqUlInfo.m_receptionStatus = UlInfoListElement_s::NotOk;
+                    NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " send UL-HARQ-NACK");
+                    m_harqPhyModule->UpdateUlHarqProcessStatus(
+                        tbId.m_rnti,
+                        (*itTb).second.mi,
+                        (*itTb).second.size,
+                        (*itTb).second.size / EffectiveCodingRate[(*itTb).second.mcs]);
                 }
                 else
                 {
-                    // TB received with errors
-                    m_phyRxEndErrorTrace(*j);
+                    harqUlInfo.m_receptionStatus = UlInfoListElement_s::Ok;
+                    NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " send UL-HARQ-ACK");
+                    m_harqPhyModule->ResetUlHarqProcessStatus(tbId.m_rnti,
+                                                              (*itTb).second.harqProcessId);
                 }
-
-                // send HARQ feedback (if not already done for this TB)
-                if (!(*itTb).second.harqFeedbackSent)
+                if (!m_ltePhyUlHarqFeedbackCallback.IsNull())
                 {
-                    (*itTb).second.harqFeedbackSent = true;
-                    if (!(*itTb).second.downlink)
+                    m_ltePhyUlHarqFeedbackCallback(harqUlInfo);
+                }
+            }
+            else
+            {
+                auto itHarq = harqDlInfoMap.find(tbId.m_rnti);
+                if (itHarq == harqDlInfoMap.end())
+                {
+                    DlInfoListElement_s harqDlInfo;
+                    harqDlInfo.m_harqStatus.resize(m_layersNum, DlInfoListElement_s::ACK);
+                    harqDlInfo.m_rnti = tbId.m_rnti;
+                    harqDlInfo.m_harqProcessId = (*itTb).second.harqProcessId;
+                    if ((*itTb).second.corrupt)
                     {
-                        UlInfoListElement_s harqUlInfo;
-                        harqUlInfo.m_rnti = tbId.m_rnti;
-                        harqUlInfo.m_tpc = 0;
-                        if ((*itTb).second.corrupt)
-                        {
-                            harqUlInfo.m_receptionStatus = UlInfoListElement_s::NotOk;
-                            NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " send UL-HARQ-NACK");
-                            m_harqPhyModule->UpdateUlHarqProcessStatus(
-                                tbId.m_rnti,
-                                (*itTb).second.mi,
-                                (*itTb).second.size,
-                                (*itTb).second.size / EffectiveCodingRate[(*itTb).second.mcs]);
-                        }
-                        else
-                        {
-                            harqUlInfo.m_receptionStatus = UlInfoListElement_s::Ok;
-                            NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " send UL-HARQ-ACK");
-                            m_harqPhyModule->ResetUlHarqProcessStatus(tbId.m_rnti,
-                                                                      (*itTb).second.harqProcessId);
-                        }
-                        if (!m_ltePhyUlHarqFeedbackCallback.IsNull())
-                        {
-                            m_ltePhyUlHarqFeedbackCallback(harqUlInfo);
-                        }
+                        harqDlInfo.m_harqStatus.at(tbId.m_layer) = DlInfoListElement_s::NACK;
+                        NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " harqId "
+                                          << (uint16_t)(*itTb).second.harqProcessId << " layer "
+                                          << (uint16_t)tbId.m_layer << " send DL-HARQ-NACK");
+                        m_harqPhyModule->UpdateDlHarqProcessStatus(
+                            (*itTb).second.harqProcessId,
+                            tbId.m_layer,
+                            (*itTb).second.mi,
+                            (*itTb).second.size,
+                            (*itTb).second.size / EffectiveCodingRate[(*itTb).second.mcs]);
                     }
                     else
                     {
-                        auto itHarq = harqDlInfoMap.find(tbId.m_rnti);
-                        if (itHarq == harqDlInfoMap.end())
-                        {
-                            DlInfoListElement_s harqDlInfo;
-                            harqDlInfo.m_harqStatus.resize(m_layersNum, DlInfoListElement_s::ACK);
-                            harqDlInfo.m_rnti = tbId.m_rnti;
-                            harqDlInfo.m_harqProcessId = (*itTb).second.harqProcessId;
-                            if ((*itTb).second.corrupt)
-                            {
-                                harqDlInfo.m_harqStatus.at(tbId.m_layer) =
-                                    DlInfoListElement_s::NACK;
-                                NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " harqId "
-                                                  << (uint16_t)(*itTb).second.harqProcessId
-                                                  << " layer " << (uint16_t)tbId.m_layer
-                                                  << " send DL-HARQ-NACK");
-                                m_harqPhyModule->UpdateDlHarqProcessStatus(
-                                    (*itTb).second.harqProcessId,
-                                    tbId.m_layer,
-                                    (*itTb).second.mi,
-                                    (*itTb).second.size,
-                                    (*itTb).second.size / EffectiveCodingRate[(*itTb).second.mcs]);
-                            }
-                            else
-                            {
-                                harqDlInfo.m_harqStatus.at(tbId.m_layer) = DlInfoListElement_s::ACK;
-                                NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " harqId "
-                                                  << (uint16_t)(*itTb).second.harqProcessId
-                                                  << " layer " << (uint16_t)tbId.m_layer << " size "
-                                                  << (*itTb).second.size << " send DL-HARQ-ACK");
-                                m_harqPhyModule->ResetDlHarqProcessStatus(
-                                    (*itTb).second.harqProcessId);
-                            }
-                            harqDlInfoMap.insert(
-                                std::pair<uint16_t, DlInfoListElement_s>(tbId.m_rnti, harqDlInfo));
-                        }
-                        else
-                        {
-                            if ((*itTb).second.corrupt)
-                            {
-                                (*itHarq).second.m_harqStatus.at(tbId.m_layer) =
-                                    DlInfoListElement_s::NACK;
-                                NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " harqId "
-                                                  << (uint16_t)(*itTb).second.harqProcessId
-                                                  << " layer " << (uint16_t)tbId.m_layer << " size "
-                                                  << (*itHarq).second.m_harqStatus.size()
-                                                  << " send DL-HARQ-NACK");
-                                m_harqPhyModule->UpdateDlHarqProcessStatus(
-                                    (*itTb).second.harqProcessId,
-                                    tbId.m_layer,
-                                    (*itTb).second.mi,
-                                    (*itTb).second.size,
-                                    (*itTb).second.size / EffectiveCodingRate[(*itTb).second.mcs]);
-                            }
-                            else
-                            {
-                                NS_ASSERT_MSG(tbId.m_layer < (*itHarq).second.m_harqStatus.size(),
-                                              " layer " << (uint16_t)tbId.m_layer);
-                                (*itHarq).second.m_harqStatus.at(tbId.m_layer) =
-                                    DlInfoListElement_s::ACK;
-                                NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " harqId "
-                                                  << (uint16_t)(*itTb).second.harqProcessId
-                                                  << " layer " << (uint16_t)tbId.m_layer << " size "
-                                                  << (*itHarq).second.m_harqStatus.size()
-                                                  << " send DL-HARQ-ACK");
-                                m_harqPhyModule->ResetDlHarqProcessStatus(
-                                    (*itTb).second.harqProcessId);
-                            }
-                        }
-                    } // end if ((*itTb).second.downlink) HARQ
-                }     // end if (!(*itTb).second.harqFeedbackSent)
-            }
+                        harqDlInfo.m_harqStatus.at(tbId.m_layer) = DlInfoListElement_s::ACK;
+                        NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " harqId "
+                                          << (uint16_t)(*itTb).second.harqProcessId << " layer "
+                                          << (uint16_t)tbId.m_layer << " size "
+                                          << (*itTb).second.size << " send DL-HARQ-ACK");
+                        m_harqPhyModule->ResetDlHarqProcessStatus((*itTb).second.harqProcessId);
+                    }
+                    harqDlInfoMap.insert(
+                        std::pair<uint16_t, DlInfoListElement_s>(tbId.m_rnti, harqDlInfo));
+                }
+                else
+                {
+                    if ((*itTb).second.corrupt)
+                    {
+                        (*itHarq).second.m_harqStatus.at(tbId.m_layer) = DlInfoListElement_s::NACK;
+                        NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " harqId "
+                                          << (uint16_t)(*itTb).second.harqProcessId << " layer "
+                                          << (uint16_t)tbId.m_layer << " size "
+                                          << (*itHarq).second.m_harqStatus.size()
+                                          << " send DL-HARQ-NACK");
+                        m_harqPhyModule->UpdateDlHarqProcessStatus(
+                            (*itTb).second.harqProcessId,
+                            tbId.m_layer,
+                            (*itTb).second.mi,
+                            (*itTb).second.size,
+                            (*itTb).second.size / EffectiveCodingRate[(*itTb).second.mcs]);
+                    }
+                    else
+                    {
+                        NS_ASSERT_MSG(tbId.m_layer < (*itHarq).second.m_harqStatus.size(),
+                                      " layer " << (uint16_t)tbId.m_layer);
+                        (*itHarq).second.m_harqStatus.at(tbId.m_layer) = DlInfoListElement_s::ACK;
+                        NS_LOG_DEBUG(this << " RNTI " << tbId.m_rnti << " harqId "
+                                          << (uint16_t)(*itTb).second.harqProcessId << " layer "
+                                          << (uint16_t)tbId.m_layer << " size "
+                                          << (*itHarq).second.m_harqStatus.size()
+                                          << " send DL-HARQ-ACK");
+                        m_harqPhyModule->ResetDlHarqProcessStatus((*itTb).second.harqProcessId);
+                    }
+                }
+            } // end if ((*itTb).second.downlink) HARQ
         }
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-spectrum-phy.h ns-3.44/src/lte/model/lte-spectrum-phy.h
--- ns-3.43/src/lte/model/lte-spectrum-phy.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-spectrum-phy.h	2025-03-09 16:55:49.603371900 -0700
@@ -16,19 +16,19 @@
 #include "lte-harq-phy.h"
 #include "lte-interference.h"
 
-#include <ns3/data-rate.h>
-#include <ns3/event-id.h>
-#include <ns3/generic-phy.h>
-#include <ns3/mobility-model.h>
-#include <ns3/net-device.h>
-#include <ns3/nstime.h>
-#include <ns3/packet-burst.h>
-#include <ns3/packet.h>
-#include <ns3/random-variable-stream.h>
-#include <ns3/spectrum-channel.h>
-#include <ns3/spectrum-interference.h>
-#include <ns3/spectrum-phy.h>
-#include <ns3/spectrum-value.h>
+#include "ns3/data-rate.h"
+#include "ns3/event-id.h"
+#include "ns3/generic-phy.h"
+#include "ns3/mobility-model.h"
+#include "ns3/net-device.h"
+#include "ns3/nstime.h"
+#include "ns3/packet-burst.h"
+#include "ns3/packet.h"
+#include "ns3/random-variable-stream.h"
+#include "ns3/spectrum-channel.h"
+#include "ns3/spectrum-interference.h"
+#include "ns3/spectrum-phy.h"
+#include "ns3/spectrum-value.h"
 
 #include <map>
 
@@ -46,8 +46,8 @@
     /**
      * Constructor
      *
-     * \param a RNTI
-     * \param b Layer
+     * @param a RNTI
+     * @param b Layer
      */
     TbId_t(const uint16_t a, const uint8_t b);
 
@@ -127,8 +127,8 @@
 typedef Callback<void, UlInfoListElement_s> LtePhyUlHarqFeedbackCallback;
 
 /**
- * \ingroup lte
- * \class LteSpectrumPhy
+ * @ingroup lte
+ * @class LteSpectrumPhy
  *
  * The LteSpectrumPhy models the physical layer of LTE
  *
@@ -156,8 +156,8 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     // inherited from Object
@@ -173,23 +173,23 @@
     Ptr<Object> GetAntenna() const override;
     void StartRx(Ptr<SpectrumSignalParameters> params) override;
     /**
-     * \brief Start receive data function
-     * \param params Ptr<LteSpectrumSignalParametersDataFrame>
+     * @brief Start receive data function
+     * @param params Ptr<LteSpectrumSignalParametersDataFrame>
      */
     void StartRxData(Ptr<LteSpectrumSignalParametersDataFrame> params);
     /**
-     * \brief Start receive DL control function
-     * \param lteDlCtrlRxParams Ptr<LteSpectrumSignalParametersDlCtrlFrame>
+     * @brief Start receive DL control function
+     * @param lteDlCtrlRxParams Ptr<LteSpectrumSignalParametersDlCtrlFrame>
      */
     void StartRxDlCtrl(Ptr<LteSpectrumSignalParametersDlCtrlFrame> lteDlCtrlRxParams);
     /**
-     * \brief Start receive UL SRS function
-     * \param lteUlSrsRxParams Ptr<LteSpectrumSignalParametersUlSrsFrame>
+     * @brief Start receive UL SRS function
+     * @param lteUlSrsRxParams Ptr<LteSpectrumSignalParametersUlSrsFrame>
      */
     void StartRxUlSrs(Ptr<LteSpectrumSignalParametersUlSrsFrame> lteUlSrsRxParams);
     /**
-     * \brief Set HARQ phy function
-     * \param harq the HARQ phy module
+     * @brief Set HARQ phy function
+     * @param harq the HARQ phy module
      */
     void SetHarqPhyModule(Ptr<LteHarqPhy> harq);
 
@@ -201,7 +201,7 @@
     void SetTxPowerSpectralDensity(Ptr<SpectrumValue> txPsd);
 
     /**
-     * \brief set the noise power spectral density
+     * @brief set the noise power spectral density
      * @param noisePsd the Noise Power Spectral Density in power units
      * (Watt, Pascal...) per Hz.
      */
@@ -216,7 +216,7 @@
     /**
      * set the AntennaModel to be used
      *
-     * \param a the Antenna Model
+     * @param a the Antenna Model
      */
     void SetAntenna(Ptr<AntennaModel> a);
 
@@ -312,28 +312,28 @@
     void SetLtePhyUlHarqFeedbackCallback(LtePhyUlHarqFeedbackCallback c);
 
     /**
-     * \brief Set the state of the phy layer
-     * \param newState the state
+     * @brief Set the state of the phy layer
+     * @param newState the state
      */
     void SetState(State newState);
 
     /**
      *
      *
-     * \param cellId the Cell Identifier
+     * @param cellId the Cell Identifier
      */
     void SetCellId(uint16_t cellId);
 
     /**
      *
-     * \param componentCarrierId the component carrier id
+     * @param componentCarrierId the component carrier id
      */
     void SetComponentCarrierId(uint8_t componentCarrierId);
 
     /**
      *
      *
-     * \param p the new LteChunkProcessor to be added to the RS power
+     * @param p the new LteChunkProcessor to be added to the RS power
      *          processing chain
      */
     void AddRsPowerChunkProcessor(Ptr<LteChunkProcessor> p);
@@ -341,7 +341,7 @@
     /**
      *
      *
-     * \param p the new LteChunkProcessor to be added to the Data Channel power
+     * @param p the new LteChunkProcessor to be added to the Data Channel power
      *          processing chain
      */
     void AddDataPowerChunkProcessor(Ptr<LteChunkProcessor> p);
@@ -349,7 +349,7 @@
     /**
      *
      *
-     * \param p the new LteChunkProcessor to be added to the data processing chain
+     * @param p the new LteChunkProcessor to be added to the data processing chain
      */
     void AddDataSinrChunkProcessor(Ptr<LteChunkProcessor> p);
 
@@ -357,7 +357,7 @@
      *  LteChunkProcessor devoted to evaluate interference + noise power
      *  in control symbols of the subframe
      *
-     * \param p the new LteChunkProcessor to be added to the data processing chain
+     * @param p the new LteChunkProcessor to be added to the data processing chain
      */
     void AddInterferenceCtrlChunkProcessor(Ptr<LteChunkProcessor> p);
 
@@ -365,29 +365,29 @@
      *  LteChunkProcessor devoted to evaluate interference + noise power
      *  in data symbols of the subframe
      *
-     * \param p the new LteChunkProcessor to be added to the data processing chain
+     * @param p the new LteChunkProcessor to be added to the data processing chain
      */
     void AddInterferenceDataChunkProcessor(Ptr<LteChunkProcessor> p);
 
     /**
      *
      *
-     * \param p the new LteChunkProcessor to be added to the ctrl processing chain
+     * @param p the new LteChunkProcessor to be added to the ctrl processing chain
      */
     void AddCtrlSinrChunkProcessor(Ptr<LteChunkProcessor> p);
 
     /**
      *
      *
-     * \param rnti the RNTI of the source of the TB
-     * \param ndi new data indicator flag
-     * \param size the size of the TB
-     * \param mcs the MCS of the TB
-     * \param map the map of RB(s) used
-     * \param layer the layer (in case of MIMO tx)
-     * \param harqId the id of the HARQ process (valid only for DL)
-     * \param rv the redundancy version
-     * \param downlink true when the TB is for DL
+     * @param rnti the RNTI of the source of the TB
+     * @param ndi new data indicator flag
+     * @param size the size of the TB
+     * @param mcs the MCS of the TB
+     * @param map the map of RB(s) used
+     * @param layer the layer (in case of MIMO tx)
+     * @param harqId the id of the HARQ process (valid only for DL)
+     * @param rv the redundancy version
+     * @param downlink true when the TB is for DL
      */
     void AddExpectedTb(uint16_t rnti,
                        uint8_t ndi,
@@ -399,7 +399,7 @@
                        uint8_t rv,
                        bool downlink);
     /**
-     * \brief Remove expected transport block.
+     * @brief Remove expected transport block.
      *
      * When UE context at eNodeB is removed and if UL TB is expected to be received
      * but not transmitted due to break in radio link. The TB with different rnti or lcid
@@ -407,27 +407,27 @@
      * m_ulPhyReception trace, since the UE context was already removed. TB has to be
      * removed when ue context at eNodeB is removed
      *
-     * \param rnti The RNTI of the UE
+     * @param rnti The RNTI of the UE
      */
     void RemoveExpectedTb(uint16_t rnti);
 
     /**
      *
      *
-     * \param sinr vector of sinr perceived per each RB
+     * @param sinr vector of sinr perceived per each RB
      */
     void UpdateSinrPerceived(const SpectrumValue& sinr);
 
     /**
      *
      *
-     * \param txMode UE transmission mode (SISO, MIMO tx diversity, ...)
+     * @param txMode UE transmission mode (SISO, MIMO tx diversity, ...)
      */
     void SetTransmissionMode(uint8_t txMode);
 
     /**
      *
-     * \return the previously set channel
+     * @return the previously set channel
      */
     Ptr<SpectrumChannel> GetChannel();
 
@@ -439,16 +439,16 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
   private:
     /**
-     * \brief Change state function
+     * @brief Change state function
      *
-     * \param newState the new state to set
+     * @param newState the new state to set
      */
     void ChangeState(State newState);
     /// End transmit data function
@@ -465,10 +465,10 @@
     void EndRxUlSrs();
 
     /**
-     * \brief Set transmit mode gain function
+     * @brief Set transmit mode gain function
      *
-     * \param txMode the transmit mode
-     * \param gain the gain to set
+     * @param txMode the transmit mode
+     * @param gain the gain to set
      */
     void SetTxModeGain(uint8_t txMode, double gain);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-spectrum-signal-parameters.cc ns-3.44/src/lte/model/lte-spectrum-signal-parameters.cc
--- ns-3.43/src/lte/model/lte-spectrum-signal-parameters.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-spectrum-signal-parameters.cc	2025-03-09 16:55:49.603371900 -0700
@@ -11,9 +11,9 @@
 
 #include "lte-control-messages.h"
 
-#include <ns3/log.h>
-#include <ns3/packet-burst.h>
-#include <ns3/ptr.h>
+#include "ns3/log.h"
+#include "ns3/packet-burst.h"
+#include "ns3/ptr.h"
 
 namespace ns3
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-spectrum-signal-parameters.h ns-3.44/src/lte/model/lte-spectrum-signal-parameters.h
--- ns-3.43/src/lte/model/lte-spectrum-signal-parameters.h	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-spectrum-signal-parameters.h	2025-03-09 16:55:49.603371900 -0700
@@ -10,7 +10,7 @@
 #ifndef LTE_SPECTRUM_SIGNAL_PARAMETERS_H
 #define LTE_SPECTRUM_SIGNAL_PARAMETERS_H
 
-#include <ns3/spectrum-signal-parameters.h>
+#include "ns3/spectrum-signal-parameters.h"
 
 #include <list>
 
@@ -21,7 +21,7 @@
 class LteControlMessage;
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * Signal parameters for Lte
  */
@@ -36,7 +36,7 @@
 
     /**
      * copy constructor
-     * \param p the LteSpectrumSignalParameters to copy
+     * @param p the LteSpectrumSignalParameters to copy
      */
     LteSpectrumSignalParameters(const LteSpectrumSignalParameters& p);
 
@@ -47,7 +47,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * Signal parameters for Lte Data Frame (PDSCH), and eventually after some
  * control messages through other control channel embedded in PDSCH
@@ -64,7 +64,7 @@
 
     /**
      * copy constructor
-     * \param p the LteSpectrumSignalParametersDataFrame to copy
+     * @param p the LteSpectrumSignalParametersDataFrame to copy
      */
     LteSpectrumSignalParametersDataFrame(const LteSpectrumSignalParametersDataFrame& p);
 
@@ -79,7 +79,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * Signal parameters for Lte DL Ctrl Frame (RS, PCFICH and PDCCH)
  */
@@ -94,7 +94,7 @@
 
     /**
      * copy constructor
-     * \param p the LteSpectrumSignalParametersDlCtrlFrame to copy
+     * @param p the LteSpectrumSignalParametersDlCtrlFrame to copy
      */
     LteSpectrumSignalParametersDlCtrlFrame(const LteSpectrumSignalParametersDlCtrlFrame& p);
 
@@ -105,7 +105,7 @@
 };
 
 /**
- * \ingroup lte
+ * @ingroup lte
  *
  * Signal parameters for Lte SRS Frame
  */
@@ -120,7 +120,7 @@
 
     /**
      * copy constructor
-     * \param p the LteSpectrumSignalParametersUlSrsFrame to copy
+     * @param p the LteSpectrumSignalParametersUlSrsFrame to copy
      */
     LteSpectrumSignalParametersUlSrsFrame(const LteSpectrumSignalParametersUlSrsFrame& p);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/model/lte-spectrum-value-helper.cc ns-3.44/src/lte/model/lte-spectrum-value-helper.cc
--- ns-3.43/src/lte/model/lte-spectrum-value-helper.cc	2024-10-09 16:41:10.044656500 -0700
+++ ns-3.44/src/lte/model/lte-spectrum-value-helper.cc	2025-03-09 16:55:49.603371900 -0700
@@ -9,8 +9,8 @@
 
 #include "lte-spectrum-value-helper.h"
 
-#include <ns3/fatal-error.h>
-#include <ns3/log.h>
+#include "ns3/fatal-error.h"
+#include "ns3/log.h"
 
 #include <cmath>
 #include <map>
@@ -20,14 +20,14 @@
 {
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \note This function scope is strictly local, and can not be
+ * @note This function scope is strictly local, and can not be
  * used in other source files.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] v The std::vector<int>.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] v The std::vector<int>.
+ * @returns The reference to the output stream.
  */
 ostream&
 operator<<(ostream& os, const vector<int>& v)
@@ -205,8 +205,8 @@
     /**
      * Constructor
      *
-     * \param f earfcn
-     * \param b bandwidth
+     * @param f earfcn
+     * @param b bandwidth
      */
     LteSpectrumModelId(uint32_t f, uint8_t b);
     uint32_t earfcn;    ///< EARFCN
@@ -222,9 +222,9 @@
 /**
  * Constructor
  *
- * \param a lhs
- * \param b rhs
- * \returns true if earfcn less than of if earfcn equal and bandwidth less than
+ * @param a lhs
+ * @param b rhs
+ * @returns true if earfcn less than of if earfcn equal and bandwidth less than
  */
 bool
 operator<(const LteSpectrumModelId& a, const LteSpectrumModelId& b)
